Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063311 - Admin cannot delete someone else's build
Summary: Admin cannot delete someone else's build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-10 13:42 UTC by Alan Pevec
Modified: 2014-04-30 07:11 UTC (History)
1 user (show)

Fixed In Version: copr-1.27-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-30 07:11:15 UTC


Attachments (Terms of Use)

Description Alan Pevec 2014-02-10 13:42:59 UTC
I have approved "Is Admin" permission in mrunge's copr but I do not get "Delete" button in https://copr.fedoraproject.org/coprs/mrunge/el7-icehouse/builds/

Comment 1 Miroslav Suchý 2014-02-11 14:16:14 UTC
Fixed in upstream in commit bfa62e3

Comment 2 Matthias Runge 2014-03-03 11:39:41 UTC
Hmm, if it's fixed, then it's not currently deployed, right?

Btw. I can not delete apevecs builds in the same repo (my own).

Comment 3 Matthias Runge 2014-03-03 11:40:14 UTC
(In reply to Matthias Runge from comment #2)
> Hmm, if it's fixed, then it's not currently deployed, right?
> 
> Btw. I can not delete apevecs builds in the same repo (my own).

The repo is still https://copr.fedoraproject.org/coprs/mrunge/el7-icehouse/builds/

Comment 4 Miroslav Suchý 2014-03-03 13:30:56 UTC
Sorry.
I need to tweak another check.

Committed as 7c48726

Comment 5 Miroslav Suchý 2014-04-30 07:11:15 UTC
Code deployed to copr.fedoraproject.org


Note You need to log in before you can comment on or make changes to this bug.